﻿#region Using Statements
using Microsoft.Xna.Framework;
using System;
#endregion

namespace FoodFight
{
    public class Enemy : Renderable
    {
        private bool isDead = false;

        public bool IsDead
        {
            get { return isDead; }
        }

        public Enemy(ModelEntity model) : base(model)
        {
            this.MovementSpeed = 1.0f;
        }

        public override void Update(GameTime gameTime)
        {
            this.Rotation = new Vector3(this.Rotation.X, this.Rotation.Y + 0.1f, this.Rotation.Z);
            this.Position = new Vector3((float)(this.Position.X + (MovementSpeed * (5 * Math.Sin(gameTime.TotalGameTime.Seconds)))),
                this.Position.Y, this.Position.Z);

            _model.Update();
        }

        public void Kill()
        {
            FoodFight.mainPlayer.Score++;
            isDead = true;
        }
    }
}
