﻿#region Using Statements
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
#endregion

namespace FoodFight
{
    public class PauseMenu
    {
        private List<Drawable> menuItems;

        private KeyBinding inputBinding;

        public PauseMenu(ContentManager content)
        {
            menuItems = new List<Drawable>();
            ContentLoadUtility.LoadContent(content, "LoadFiles\\Pause.lfi", ref menuItems);

            inputBinding = new KeyBinding();
        }

        public void Update()
        {
            if (FoodFight.GameStateManager.Peek() == GameStates.Paused)
            {
                if (Keyboard.GetState().IsKeyDown(Keys.Space) && !FoodFight.InputBindings.boardState.IsKeyDown(Keys.Space))
                {
                    FoodFight.GameStateManager.Push(GameStates.RequestQuit);
                }

                if (Keyboard.GetState().IsKeyDown(Keys.Escape) && !FoodFight.InputBindings.boardState.IsKeyDown(Keys.Escape))
                {
                    FoodFight.GameStateManager.Pop();
                }
            }
        }

        public void Draw(SpriteBatch sBatch)
        {
            foreach (Drawable d in menuItems)
            {
                d.Draw(sBatch);
            }
        }
    }
}
